#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,x;

    scanf("%d",&n);
    scanf("%d",&x);

    int niz[n];

    for(int i=0;i<n;i++)
    {
        int v1;
        scanf("%d",&v1);

        niz[i] = v1;
    }

    for(int i=0;i<n-1;i++)
        for(int j=0;j<n-1;j++)
            if(niz[j]>niz[j+1])
            {
                int temp = niz[j];

                niz[j] = niz[j+1];
                niz[j+1] = temp;
            }

    int sum = 0;

    sum += niz[n-1] - niz[0];

    if(abs(niz[0]-x) <= abs(niz[n-1]-x))
    {
        sum+=abs(niz[0]-x);
    }
    else
    {
        sum+=abs(niz[n-1]-x);
    }

    printf("%d",sum);

}